com.amazonaws.services.codedeploy.model

## Class ListApplicationRevisionsRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.codedeploy.model.ListApplicationRevisionsRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class ListApplicationRevisionsRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

Represents the input of a list application revisions operation.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`ListApplicationRevisionsRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ListApplicationRevisionsRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getApplicationName()` The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.
`String` `getDeployed()` Whether to list revisions based on whether the revision is the target revision of an deployment group:
`String` `getNextToken()` An identifier returned from the previous list application revisions call.
`String` `getS3Bucket()` An Amazon S3 bucket name to limit the search for revisions.
`String` `getS3KeyPrefix()` A key prefix for the set of Amazon S3 objects to limit the search for revisions.
`String` `getSortBy()` The column name to use to sort the list results:
`String` `getSortOrder()` The order in which to sort the list results:
`int` `hashCode()`
`void` `setApplicationName(String applicationName)` The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.
`void` `setDeployed(ListStateFilterAction deployed)` Whether to list revisions based on whether the revision is the target revision of an deployment group:
`void` `setDeployed(String deployed)` Whether to list revisions based on whether the revision is the target revision of an deployment group:
`void` `setNextToken(String nextToken)` An identifier returned from the previous list application revisions call.
`void` `setS3Bucket(String s3Bucket)` An Amazon S3 bucket name to limit the search for revisions.
`void` `setS3KeyPrefix(String s3KeyPrefix)` A key prefix for the set of Amazon S3 objects to limit the search for revisions.
`void` `setSortBy(ApplicationRevisionSortBy sortBy)` The column name to use to sort the list results:
`void` `setSortBy(String sortBy)` The column name to use to sort the list results:
`void` `setSortOrder(SortOrder sortOrder)` The order in which to sort the list results:
`void` `setSortOrder(String sortOrder)` The order in which to sort the list results:
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListApplicationRevisionsRequest` `withApplicationName(String applicationName)` The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.
`ListApplicationRevisionsRequest` `withDeployed(ListStateFilterAction deployed)` Whether to list revisions based on whether the revision is the target revision of an deployment group:
`ListApplicationRevisionsRequest` `withDeployed(String deployed)` Whether to list revisions based on whether the revision is the target revision of an deployment group:
`ListApplicationRevisionsRequest` `withNextToken(String nextToken)` An identifier returned from the previous list application revisions call.
`ListApplicationRevisionsRequest` `withS3Bucket(String s3Bucket)` An Amazon S3 bucket name to limit the search for revisions.
`ListApplicationRevisionsRequest` `withS3KeyPrefix(String s3KeyPrefix)` A key prefix for the set of Amazon S3 objects to limit the search for revisions.
`ListApplicationRevisionsRequest` `withSortBy(ApplicationRevisionSortBy sortBy)` The column name to use to sort the list results:
`ListApplicationRevisionsRequest` `withSortBy(String sortBy)` The column name to use to sort the list results:
`ListApplicationRevisionsRequest` `withSortOrder(SortOrder sortOrder)` The order in which to sort the list results:
`ListApplicationRevisionsRequest` `withSortOrder(String sortOrder)` The order in which to sort the list results:

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ListApplicationRevisionsRequest

    public ListApplicationRevisionsRequest()

### Method Detail

#### setApplicationName

    public void setApplicationName(String applicationName)

The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.

Parameters:
  `applicationName` - The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.

#### getApplicationName

    public String getApplicationName()

The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.

Returns:
  The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.

#### withApplicationName

    public ListApplicationRevisionsRequest withApplicationName(String applicationName)

The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.

Parameters:
  `applicationName` - The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setSortBy

    public void setSortBy(String sortBy)

The column name to use to sort the list results:

- registerTime: Sort by the time the revisions were registered with AWS CodeDeploy.

- firstUsedTime: Sort by the time the revisions were first used in a deployment.

- lastUsedTime: Sort by the time the revisions were last used in a deployment.

If not specified or set to null, the results will be returned in an arbitrary order.

Parameters:
  `sortBy` - The column name to use to sort the list results:

  - registerTime: Sort by the time the revisions were registered with AWS CodeDeploy.

  - firstUsedTime: Sort by the time the revisions were first used in a deployment.

  - lastUsedTime: Sort by the time the revisions were last used in a deployment.

  If not specified or set to null, the results will be returned in an arbitrary order.

See Also:
  `ApplicationRevisionSortBy`

#### getSortBy

    public String getSortBy()

The column name to use to sort the list results:

- registerTime: Sort by the time the revisions were registered with AWS CodeDeploy.

- firstUsedTime: Sort by the time the revisions were first used in a deployment.

- lastUsedTime: Sort by the time the revisions were last used in a deployment.

If not specified or set to null, the results will be returned in an arbitrary order.

Returns:
  The column name to use to sort the list results:

  - registerTime: Sort by the time the revisions were registered with AWS CodeDeploy.

  - firstUsedTime: Sort by the time the revisions were first used in a deployment.

  - lastUsedTime: Sort by the time the revisions were last used in a deployment.

  If not specified or set to null, the results will be returned in an arbitrary order.

See Also:
  `ApplicationRevisionSortBy`

#### withSortBy

    public ListApplicationRevisionsRequest withSortBy(String sortBy)

The column name to use to sort the list results:

- registerTime: Sort by the time the revisions were registered with AWS CodeDeploy.

- firstUsedTime: Sort by the time the revisions were first used in a deployment.

- lastUsedTime: Sort by the time the revisions were last used in a deployment.

If not specified or set to null, the results will be returned in an arbitrary order.

Parameters:
  `sortBy` - The column name to use to sort the list results:

  - registerTime: Sort by the time the revisions were registered with AWS CodeDeploy.

  - firstUsedTime: Sort by the time the revisions were first used in a deployment.

  - lastUsedTime: Sort by the time the revisions were last used in a deployment.

  If not specified or set to null, the results will be returned in an arbitrary order.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ApplicationRevisionSortBy`

#### setSortBy

    public void setSortBy(ApplicationRevisionSortBy sortBy)

The column name to use to sort the list results:

- registerTime: Sort by the time the revisions were registered with AWS CodeDeploy.

- firstUsedTime: Sort by the time the revisions were first used in a deployment.

- lastUsedTime: Sort by the time the revisions were last used in a deployment.

If not specified or set to null, the results will be returned in an arbitrary order.

Parameters:
  `sortBy` - The column name to use to sort the list results:

  - registerTime: Sort by the time the revisions were registered with AWS CodeDeploy.

  - firstUsedTime: Sort by the time the revisions were first used in a deployment.

  - lastUsedTime: Sort by the time the revisions were last used in a deployment.

  If not specified or set to null, the results will be returned in an arbitrary order.

See Also:
  `ApplicationRevisionSortBy`

#### withSortBy

    public ListApplicationRevisionsRequest withSortBy(ApplicationRevisionSortBy sortBy)

The column name to use to sort the list results:

- registerTime: Sort by the time the revisions were registered with AWS CodeDeploy.

- firstUsedTime: Sort by the time the revisions were first used in a deployment.

- lastUsedTime: Sort by the time the revisions were last used in a deployment.

If not specified or set to null, the results will be returned in an arbitrary order.

Parameters:
  `sortBy` - The column name to use to sort the list results:

  - registerTime: Sort by the time the revisions were registered with AWS CodeDeploy.

  - firstUsedTime: Sort by the time the revisions were first used in a deployment.

  - lastUsedTime: Sort by the time the revisions were last used in a deployment.

  If not specified or set to null, the results will be returned in an arbitrary order.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ApplicationRevisionSortBy`

#### setSortOrder

    public void setSortOrder(String sortOrder)

The order in which to sort the list results:

- ascending: ascending order.

- descending: descending order.

If not specified, the results will be sorted in ascending order.

If set to null, the results will be sorted in an arbitrary order.

Parameters:
  `sortOrder` - The order in which to sort the list results:

  - ascending: ascending order.

  - descending: descending order.

  If not specified, the results will be sorted in ascending order.

  If set to null, the results will be sorted in an arbitrary order.

See Also:
  `SortOrder`

#### getSortOrder

    public String getSortOrder()

The order in which to sort the list results:

- ascending: ascending order.

- descending: descending order.

If not specified, the results will be sorted in ascending order.

If set to null, the results will be sorted in an arbitrary order.

Returns:
  The order in which to sort the list results:

  - ascending: ascending order.

  - descending: descending order.

  If not specified, the results will be sorted in ascending order.

  If set to null, the results will be sorted in an arbitrary order.

See Also:
  `SortOrder`

#### withSortOrder

    public ListApplicationRevisionsRequest withSortOrder(String sortOrder)

The order in which to sort the list results:

- ascending: ascending order.

- descending: descending order.

If not specified, the results will be sorted in ascending order.

If set to null, the results will be sorted in an arbitrary order.

Parameters:
  `sortOrder` - The order in which to sort the list results:

  - ascending: ascending order.

  - descending: descending order.

  If not specified, the results will be sorted in ascending order.

  If set to null, the results will be sorted in an arbitrary order.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `SortOrder`

#### setSortOrder

    public void setSortOrder(SortOrder sortOrder)

The order in which to sort the list results:

- ascending: ascending order.

- descending: descending order.

If not specified, the results will be sorted in ascending order.

If set to null, the results will be sorted in an arbitrary order.

Parameters:
  `sortOrder` - The order in which to sort the list results:

  - ascending: ascending order.

  - descending: descending order.

  If not specified, the results will be sorted in ascending order.

  If set to null, the results will be sorted in an arbitrary order.

See Also:
  `SortOrder`

#### withSortOrder

    public ListApplicationRevisionsRequest withSortOrder(SortOrder sortOrder)

The order in which to sort the list results:

- ascending: ascending order.

- descending: descending order.

If not specified, the results will be sorted in ascending order.

If set to null, the results will be sorted in an arbitrary order.

Parameters:
  `sortOrder` - The order in which to sort the list results:

  - ascending: ascending order.

  - descending: descending order.

  If not specified, the results will be sorted in ascending order.

  If set to null, the results will be sorted in an arbitrary order.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `SortOrder`

#### setS3Bucket

    public void setS3Bucket(String s3Bucket)

An Amazon S3 bucket name to limit the search for revisions.

If set to null, all of the user's buckets will be searched.

Parameters:
  `s3Bucket` - An Amazon S3 bucket name to limit the search for revisions.

  If set to null, all of the user's buckets will be searched.

#### getS3Bucket

    public String getS3Bucket()

An Amazon S3 bucket name to limit the search for revisions.

If set to null, all of the user's buckets will be searched.

Returns:
  An Amazon S3 bucket name to limit the search for revisions.

  If set to null, all of the user's buckets will be searched.

#### withS3Bucket

    public ListApplicationRevisionsRequest withS3Bucket(String s3Bucket)

An Amazon S3 bucket name to limit the search for revisions.

If set to null, all of the user's buckets will be searched.

Parameters:
  `s3Bucket` - An Amazon S3 bucket name to limit the search for revisions.

  If set to null, all of the user's buckets will be searched.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setS3KeyPrefix

    public void setS3KeyPrefix(String s3KeyPrefix)

A key prefix for the set of Amazon S3 objects to limit the search for revisions.

Parameters:
  `s3KeyPrefix` - A key prefix for the set of Amazon S3 objects to limit the search for revisions.

#### getS3KeyPrefix

    public String getS3KeyPrefix()

A key prefix for the set of Amazon S3 objects to limit the search for revisions.

Returns:
  A key prefix for the set of Amazon S3 objects to limit the search for revisions.

#### withS3KeyPrefix

    public ListApplicationRevisionsRequest withS3KeyPrefix(String s3KeyPrefix)

A key prefix for the set of Amazon S3 objects to limit the search for revisions.

Parameters:
  `s3KeyPrefix` - A key prefix for the set of Amazon S3 objects to limit the search for revisions.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDeployed

    public void setDeployed(String deployed)

Whether to list revisions based on whether the revision is the target revision of an deployment group:

- include: List revisions that are target revisions of a deployment group.

- exclude: Do not list revisions that are target revisions of a deployment group.

- ignore: List all revisions.

Parameters:
  `deployed` - Whether to list revisions based on whether the revision is the target revision of an deployment group:

  - include: List revisions that are target revisions of a deployment group.

  - exclude: Do not list revisions that are target revisions of a deployment group.

  - ignore: List all revisions.

See Also:
  `ListStateFilterAction`

#### getDeployed

    public String getDeployed()

Whether to list revisions based on whether the revision is the target revision of an deployment group:

- include: List revisions that are target revisions of a deployment group.

- exclude: Do not list revisions that are target revisions of a deployment group.

- ignore: List all revisions.

Returns:
  Whether to list revisions based on whether the revision is the target revision of an deployment group:

  - include: List revisions that are target revisions of a deployment group.

  - exclude: Do not list revisions that are target revisions of a deployment group.

  - ignore: List all revisions.

See Also:
  `ListStateFilterAction`

#### withDeployed

    public ListApplicationRevisionsRequest withDeployed(String deployed)

Whether to list revisions based on whether the revision is the target revision of an deployment group:

- include: List revisions that are target revisions of a deployment group.

- exclude: Do not list revisions that are target revisions of a deployment group.

- ignore: List all revisions.

Parameters:
  `deployed` - Whether to list revisions based on whether the revision is the target revision of an deployment group:

  - include: List revisions that are target revisions of a deployment group.

  - exclude: Do not list revisions that are target revisions of a deployment group.

  - ignore: List all revisions.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ListStateFilterAction`

#### setDeployed

    public void setDeployed(ListStateFilterAction deployed)

Whether to list revisions based on whether the revision is the target revision of an deployment group:

- include: List revisions that are target revisions of a deployment group.

- exclude: Do not list revisions that are target revisions of a deployment group.

- ignore: List all revisions.

Parameters:
  `deployed` - Whether to list revisions based on whether the revision is the target revision of an deployment group:

  - include: List revisions that are target revisions of a deployment group.

  - exclude: Do not list revisions that are target revisions of a deployment group.

  - ignore: List all revisions.

See Also:
  `ListStateFilterAction`

#### withDeployed

    public ListApplicationRevisionsRequest withDeployed(ListStateFilterAction deployed)

Whether to list revisions based on whether the revision is the target revision of an deployment group:

- include: List revisions that are target revisions of a deployment group.

- exclude: Do not list revisions that are target revisions of a deployment group.

- ignore: List all revisions.

Parameters:
  `deployed` - Whether to list revisions based on whether the revision is the target revision of an deployment group:

  - include: List revisions that are target revisions of a deployment group.

  - exclude: Do not list revisions that are target revisions of a deployment group.

  - ignore: List all revisions.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ListStateFilterAction`

#### setNextToken

    public void setNextToken(String nextToken)

An identifier returned from the previous list application revisions call. It can be used to return the next set of applications in the list.

Parameters:
  `nextToken` - An identifier returned from the previous list application revisions call. It can be used to return the next set of applications in the list.

#### getNextToken

    public String getNextToken()

An identifier returned from the previous list application revisions call. It can be used to return the next set of applications in the list.

Returns:
  An identifier returned from the previous list application revisions call. It can be used to return the next set of applications in the list.

#### withNextToken

    public ListApplicationRevisionsRequest withNextToken(String nextToken)

An identifier returned from the previous list application revisions call. It can be used to return the next set of applications in the list.

Parameters:
  `nextToken` - An identifier returned from the previous list application revisions call. It can be used to return the next set of applications in the list.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ListApplicationRevisionsRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`